Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.model.container
Class MusicGenre

    java.lang.Object
      org.teleal.cling.support.model.DIDLObject
          org.teleal.cling.support.model.container.Container
              org.teleal.cling.support.model.container.GenreContainer
                  org.teleal.cling.support.model.container.MusicGenre

    public class MusicGenre

extends GenreContainer

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.support.model.DIDLObject
`DIDLObject.Class, DIDLObject.Property<V>`

Field Summary
`static DIDLObject.Class` | `CLASS`

Fields inherited from class org.teleal.cling.support.model.container.Container
`childCount, containers, createClasses, items, searchable, searchClasses`

Fields inherited from class org.teleal.cling.support.model.DIDLObject
`clazz, creator, descMetadata, id, parentID, properties, resources, restricted, title, writeStatus`

Constructor Summary
`MusicGenre()`
`MusicGenre(Container other)`
`MusicGenre(String id, Container parent, String title, String creator, Integer childCount)`
`MusicGenre(String id, String parentID, String title, String creator, Integer childCount)`

Method Summary

Methods inherited from class org.teleal.cling.support.model.container.Container
`addContainer, addItem, getChildCount, getContainers, getCreateClasses, getFirstContainer, getItems, getSearchClasses, isSearchable, setChildCount, setContainers, setCreateClasses, setItems, setSearchable, setSearchClasses`

Methods inherited from class org.teleal.cling.support.model.DIDLObject
`addDescMetadata, addProperties, addProperty, addResource, equals, getClazz, getCreator, getDescMetadata, getFirstProperty, getFirstPropertyValue, getFirstResource, getId, getLastProperty, getParentID, getProperties, getProperties, getPropertiesByNamespace, getPropertyValues, getResources, getTitle, getWriteStatus, hashCode, hasProperty, isRestricted, removeProperties, replaceFirstProperty, replaceProperties, setClazz, setCreator, setDescMetadata, setId, setParentID, setProperties, setResources, setRestricted, setTitle, setWriteStatus`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS

    public static final DIDLObject.Class CLASS

Constructor Detail

### MusicGenre

    public MusicGenre()

### MusicGenre

    public MusicGenre(Container other)

### MusicGenre

    public MusicGenre(String id,
                      Container parent,
                      String title,
                      String creator,
                      Integer childCount)

### MusicGenre

    public MusicGenre(String id,
                      String parentID,
                      String title,
                      String creator,
                      Integer childCount)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.